
// ChangeNode - a node in a ChangeSorter, representing a single changelist.
// Inaccessible to other classes.  Functions as a DLL node.
class FileRev;

class ChangeNode
{
private:
	ChangeNode( StrBuf cbuf, FileRev* rev );
	virtual ~ChangeNode();

	StrBuf change;  // a string with this changelist's number
	int value;		// the corresponding int value
	ChangeNode* prev;  // previous node in the DLL
	ChangeNode* next;  // next node in the DLL

	// These two values are for supporting the "birdseyeview" feature.
	bool hasarrow;  // does this change correlate with any arrowed rev?
	int arrpos;		// position relative to marked changes

	// A FileRev (not necessarily the only one) this change relates to.
	FileRev* frev;

	friend class ChangeSorter;
}; 
