
// QTreeFileText: the QCanvasText on a FileStripe giving the file name. 

class FileHead;

class QTreeFileText : public QCanvasText
{
public:
	QTreeFileText( QCanvas* canvas, char* file, FileHead* fh );
	virtual ~QTreeFileText();

	// RTTI for click detection. 
	int rtti() const { return RTTI_FILE; };

	// Pop up a dialog with revision info. 
	void InfoDialog( QWidget* );

	// X-coordinate of head rev.
	int HeadX();

	// StrBuf of filename.
	StrBuf Name();

	// Is head rev binary?
	bool HeadBinary();

	// String to display as tooltip.
	QString Tip();
private:
	FileHead* filehead;
};
